<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>Card</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/shared/card.ts</code>
        </p>

            <p class="comment">
                <h3>Description</h3>
            </p>
            <p class="comment">
                <p>Object used to manipulate an angular card component.</p>

            </p>




            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#card">card</a>
                            </li>
                        </ul>
                    </td>
                </tr>






                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#element">element</a>
                                </li>
                                <li>
                                    <a href="#present">present</a>
                                </li>
                                <li>
                                    <a href="#displayed">displayed</a>
                                </li>
                                <li>
                                    <a href="#title">title</a>
                                </li>
                                <li>
                                    <a href="#subtitle">subtitle</a>
                                </li>
                                <li>
                                    <a href="#content">content</a>
                                </li>
                                <li>
                                    <a href="#actions">actions</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

            <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(idOrTagName: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, byId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank">boolean</a>, root: ElementFinder)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="9" class="link-to-prism">e2e/shared/card.ts:9</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>idOrTagName</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>byId</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>root</td>
                                                  
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="card"></a>
                        <span class="name">
                            <b>
                            card
                            </b>
                            <a href="#card"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>card:     <code>ElementFinder</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>ElementFinder</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="9" class="link-to-prism">e2e/shared/card.ts:9</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>







            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="element"></a>
                        <span class="name"><b>element</b><a href="#element"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>element()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">e2e/shared/card.ts:20</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>ElementFinder</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="present"></a>
                        <span class="name"><b>present</b><a href="#present"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>present()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">e2e/shared/card.ts:27</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>promise.Promise&lt;boolean&gt;</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayed"></a>
                        <span class="name"><b>displayed</b><a href="#displayed"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayed()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">e2e/shared/card.ts:34</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>promise.Promise&lt;boolean&gt;</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="title"></a>
                        <span class="name"><b>title</b><a href="#title"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>title()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">e2e/shared/card.ts:41</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>promise.Promise&lt;string&gt;</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="subtitle"></a>
                        <span class="name"><b>subtitle</b><a href="#subtitle"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>subtitle()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">e2e/shared/card.ts:48</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>promise.Promise&lt;string&gt;</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="content"></a>
                        <span class="name"><b>content</b><a href="#content"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>content()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">e2e/shared/card.ts:55</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>ElementFinder</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="actions"></a>
                        <span class="name"><b>actions</b><a href="#actions"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>actions()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="62" class="link-to-prism">e2e/shared/card.ts:62</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>ElementFinder</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { by, element, ElementFinder } from &quot;protractor&quot;;
import { promise } from &#x27;selenium-webdriver&#x27;;

/**
 * Object used to manipulate an angular card component.
 */
export class Card {

  card: ElementFinder;

  constructor(idOrTagName: string,
              byId: boolean &#x3D; true,
              root: ElementFinder &#x3D; null) {
    this.card &#x3D; byId ? element(by.id(idOrTagName)) : root.element(by.tagName(idOrTagName));
  }

  /**
   * @returns {ElementFinder} the card&#x27;s element itself
   */
  get element(): ElementFinder {
    return this.card;
  }

  /**
   * @returns true if the card is present in the DOM, false otherwise
   */
  get present(): promise.Promise&lt;boolean&gt; {
    return this.card.isPresent();
  }

  /**
   * @returns true if the card is displayed, false otherwise
   */
  get displayed(): promise.Promise&lt;boolean&gt; {
    return this.card.isDisplayed();
  }

  /**
   * @returns the card&#x27;s title
   */
  get title(): promise.Promise&lt;string&gt; {
    return this.card.element(by.className(&#x27;mat-card-title&#x27;)).getText();
  }

  /**
   * @returns the card&#x27;s subtitle
   */
  get subtitle(): promise.Promise&lt;string&gt; {
    return this.card.element(by.className(&#x27;mat-card-subtitle&#x27;)).getText();
  }

  /**
   * @returns the card&#x27;s content element
   */
  get content(): ElementFinder {
    return this.card.element(by.className(&#x27;mat-card-content&#x27;));
  }

  /**
   * @returns the card&#x27;s actions element
   */
  get actions(): ElementFinder {
    return this.card.element(by.className(&#x27;mat-card-actions&#x27;));
  }
}
</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'Card.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
